# Extract invoices

Use the **getInvoices** method to extract shopper invoices from the 2Checkout system based on unique order references. The method returns the binary code for invoices in the PDF file format, Base64 encoded (Base64 is used to represent binary data in the ASCII string format).

**getInvoices** works for **COMPLETE** orders for which an invoice was already issued. For **refunded** orders, **getInvoices** provides two shopper invoices, one for the original order and the second for the refund, reflecting the repayment made.

In the case of cross-selling orders which contain products from different merchants, **getInvoice** enables you to re-send only the invoices for your own offerings.

## Request parameters <a href="#parameters" id="parameters"></a>

| Parameter   | Type / Description                                                                                                                                                                                                                                                                                      |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sessionID` | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect.  The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p> |
| `reference` | <p><strong>Required (string)</strong><br>Unique, system generated reference for orders.</p>                                                                                                                                                                                                             |

### Request sample <a href="#request" id="request"></a>

```php
<?php

require ('PATH_TO_AUTH');

$reference = 'ORDER_REFERENCE';

try {
    $invoices = $client->getInvoices($sessionID, $reference);
}
catch (SoapFault $e) {
    echo "invoices: " . $e->getMessage();
    exit;
}
var_dump("invoices", $invoices);
```

## Response parameters <a href="#response" id="response"></a>

| Parameter                   | Type / Description                                                                                    |
| --------------------------- | ----------------------------------------------------------------------------------------------------- |
| `InvoicesData`              | <p><strong>Array of objects</strong><br>Details below.</p>                                            |
| `InvoicesData.Sale`         | <p><strong>String</strong><br>Base64 encoded PDF file containing an invoice for a Complete order.</p> |
| `InvoicesData.Cancellation` | <p><strong>String</strong><br>Base64 encoded PDF file containing a cancellation invoice.</p>          |
| `InvoicesData.Refunds`      | <p><strong>Array of string</strong><br>Base64 encoded PDF files containing invoices for Refunds.</p>  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/extract-invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
